package com.ejie.ab78.dao.terceros;

import java.util.List;

import com.ejie.ab78.model.denuncias.Denuncia;
import com.ejie.ab78.model.expedientes.Expedientes;
import com.ejie.ab78.model.terceros.RelDenunciaTercero;

/**
 * RelDenunciaTerceroDao  
 * 
 *  
 */

public interface RelDenunciaTerceroDao {

	RelDenunciaTercero add(RelDenunciaTercero relDenunciaTercero);

	RelDenunciaTercero update(RelDenunciaTercero relDenunciaTercero);

	void remove(RelDenunciaTercero relDenunciaTercero);

	List<RelDenunciaTercero> getRelDenunciaTerceroByFolderId(Expedientes expediente);

	Integer getIdDenunciaByFolderId(Expedientes expediente);

	RelDenunciaTercero getRelDenunciaTerceroIdExpediente(Integer idExpediente, Integer idTercero);

	List<RelDenunciaTercero> getRelDenunciaTerceroByIdReclamacion(Denuncia denuncia);

	RelDenunciaTercero updateById(RelDenunciaTercero relDenunciaTercero);

	RelDenunciaTercero getRelDenunciaIdTercero(Integer idTercero);

	Integer getByCif(String documentoTercero);
}
